### Method

# Ide EditorSearch get_active

#### Declaration

    gboolean
    ide_editor_search_get_active (
      IdeEditorSearch* self
    )

#### Description

Gets the “active” property.

The `IdeEditorSearch` is considered active if there is a search context loaded and the search text is not empty.

Available since: | 3.32

Gets property | `Ide.EditorSearch:active`

#### Return value

Returns: | `gboolean`
| `TRUE` if a search is active.